import { makeStyles } from '@material-ui/core/styles';
import { orange, lightBlue, red, grey } from '@material-ui/core/colors';

const useStyles = makeStyles((theme) => ({
  root: {
    display: 'flex',
    '& > *': {
      margin: theme.spacing(1),
    },
  },
  R: {
    color: theme.palette.getContrastText(red[500]),
    backgroundColor: red[500],
  },
  O: {
    color: theme.palette.getContrastText(orange[500]),
    backgroundColor: orange[500],
  },
  W: {
    color: theme.palette.getContrastText(grey[50]),
    backgroundColor: grey[50],
  },
  B: {
    color: theme.palette.getContrastText(lightBlue[500]),
    backgroundColor: lightBlue[500],
  },
}));


export { useStyles };